From 37df2385c8cf3cefc32687a2c06cb3723f65b258 Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Mon, 9 Dec 2019 10:03:57 +0100
Subject: [PATCH] Check that the argument passed to freeaddrinfo(3) is not
 NULL.

freeaddrinfo(NULL) will crash on OpenBSD and NetBSD, and also on systems
using musl libc such as Alpine Linux.
---
 src/slowhttptest.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/slowhttptest.cc b/src/slowhttptest.cc
index 05cdbb9..e78c8df 100644
--- a/src/slowhttptest.cc
+++ b/src/slowhttptest.cc
@@ -152,7 +152,9 @@ SlowHTTPTest::SlowHTTPTest(int delay, int duration,
 }
 
 SlowHTTPTest::~SlowHTTPTest() {
-  freeaddrinfo(addr_);
+  if (addr_) {
+    freeaddrinfo(addr_);
+  }
 
   for(std::vector<StatsDumper*>::iterator i = dumpers_.begin();
        i != dumpers_.end(); ++i) {
